; load path 
(setq load-path (cons (expand-file-name "haskell-mode-2.0" module-path) load-path))

; file extensions
(setq auto-mode-alist
      (append auto-mode-alist
	      '(("\\.[hg]s$"  . haskell-mode)
;		("\\.hi$"     . haskell-mode)
		("\\.l[hg]s$" . literate-haskell-mode))))

(setq completion-ignored-extensions
      (append completion-ignored-extensions 
	      '(".hi" ".o" ".lhi")))


; loading
(autoload 'haskell-mode "haskell-mode"
  "Major mode for editing Haskell scripts." t)
(autoload 'literate-haskell-mode "haskell-mode"
  "Major mode for editing literate Haskell scripts." t)

; hooks
(add-hook 'haskell-mode-hook 'turn-on-haskell-font-lock)
(add-hook 'haskell-mode-hook 'turn-on-haskell-decl-scan)
(add-hook 'haskell-mode-hook 'turn-on-haskell-doc-mode)
(add-hook 'haskell-mode-hook 'turn-on-haskell-indent)
; (add-hook 'haskell-mode-hook 'turn-on-haskell-simple-indent)
(add-hook 'haskell-mode-hook 'turn-on-haskell-hugs)
